*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial, Helvetica, sans-serif;
}

body{
    background:#f5f5f5;
}

/* TOPO */

.topbar{
    background:#ef4444;
    color:white;
    text-align:center;
    padding:8px;
    font-size:14px;
    font-weight:bold;
}

.header{
    background:white;
    box-shadow:0 2px 10px rgba(0,0,0,.08);
    position:sticky;
    top:0;
    z-index:1000;
}

.header-main{
    max-width:1400px;
    margin:auto;
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:20px;
    padding:15px;
}

.logo{
    height:70px;
}

.search-area{
    flex:1;
    display:flex;
}

.search-area input{
    width:100%;
    height:48px;
    border:none;
    background:#f0f0f0;
    border-radius:12px 0 0 12px;
    padding-left:15px;
}

.search-area button{
    width:60px;
    border:none;
    background:#ef4444;
    color:white;
    border-radius:0 12px 12px 0;
    cursor:pointer;
}

.header-icons{
    display:flex;
    gap:15px;
}

.icon-btn{
    width:50px;
    height:50px;

    display:flex;
    align-items:center;
    justify-content:center;

    border-radius:50%;

    background:white;

    color:#333;
    text-decoration:none;

    position:relative;

    transition:all .3s ease;

    box-shadow:0 2px 8px rgba(0,0,0,.08);

    font-size:22px;
}

.icon-btn:hover{
    transform:translateY(-3px);
}

.user-btn:hover{
    background:#ef4444;
    color:white;

    box-shadow:
    0 8px 20px rgba(239,68,68,.35);
}

.cart-btn:hover{
    background:#3466AF;
    color:white;

    box-shadow:
    0 8px 20px rgba(52,102,175,.35);
}

.cart-count{
    position:absolute;

    top:-5px;
    right:-5px;

    width:22px;
    height:22px;

    border-radius:50%;

    background:#ef4444;

    color:white;

    display:flex;
    justify-content:center;
    align-items:center;

    font-size:11px;
    font-weight:bold;

    border:2px solid white;
}

/* MENU */

.menu{
    background:white;
    border-top:1px solid #eee;
}

.menu ul{
    max-width:1400px;
    margin:auto;
    display:flex;
    justify-content:center;
    list-style:none;
}

.menu li a{
    display:block;
    padding:15px 30px;
    text-decoration:none;
    color:#333;
    font-weight:bold;
}

.menu li a:hover{
    color:#ef4444;
}

/* BANNER */

.banner{
    max-width:1400px;
    margin:25px auto;
    height:350px;
    border-radius:20px;
    overflow:hidden;

    background:
    linear-gradient(
    rgba(0,0,0,.3),
    rgba(0,0,0,.3)),
    url('../static/img/me04-launch-169-br.png');

    background-size:cover;
    background-position:center;

    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    color:white;
    text-align:center;
}

.banner h1{
    font-size:50px;
    margin-bottom:10px;
}

.banner button{
    margin-top:20px;
    background:#ef4444;
    color:white;
    border:none;
    padding:15px 40px;
    border-radius:12px;
    cursor:pointer;
    font-size:18px;
}

/* CATEGORIAS */

.categorias{
    max-width:1400px;
    margin:auto;
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:20px;
}

.categoria{
    background:white;
    border-radius:20px;
    overflow:hidden;
    box-shadow:0 4px 12px rgba(0,0,0,.08);
    cursor:pointer;
}

.categoria img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.categoria h3{
    padding:20px;
    text-align:center;
}

/* PRODUTOS */

.secao{
    max-width:1400px;
    margin:50px auto;
}

.secao h2{
    margin-bottom:25px;
    font-size:30px;
}

.produtos-grid{
    display:grid;
    grid-template-columns:
    repeat(auto-fill,minmax(250px,1fr));
    gap:25px;
}

.produto{
    background:white;
    border-radius:18px;
    overflow:hidden;
    box-shadow:0 4px 12px rgba(0,0,0,.08);
    transition:.3s;
}

.produto:hover{
    transform:translateY(-5px);
}

.produto img{
    width:100%;
    height:300px;
    object-fit:contain;
    background:white;
}

.produto-info{
    padding:15px;
}

.colecao{
    color:#777;
    font-size:13px;
}

.produto h4{
    margin-top:10px;
    margin-bottom:10px;
    min-height:50px;
}

.preco{
    font-size:24px;
    color:#ef4444;
    font-weight:bold;
}

.comprar{
    width:100%;
    margin-top:15px;
    border:none;
    background:#ef4444;
    color:white;
    padding:12px;
    border-radius:10px;
    cursor:pointer;
}

footer{
    margin-top:60px;
    background:#222;
    color:white;
    padding:50px;
}

.footer-grid{
    max-width:1400px;
    margin:auto;
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;
}

.footer-grid h3{
    margin-bottom:15px;
}


.user-menu{
position:relative;
}

.user-dropdown{

position:absolute;

top:60px;
right:0;

width:180px;

background:white;

border-radius:12px;

box-shadow:
0 8px 20px rgba(0,0,0,.15);

overflow:hidden;

opacity:0;
visibility:hidden;

transform:translateY(10px);

transition:all .25s ease;

z-index:1000;
}

.user-dropdown a{

display:block;

padding:12px 15px;

color:#333;

text-decoration:none;

transition:.2s;
}

.user-dropdown a:hover{

background:#f5f5f5;

color:#ef4444;
}

.user-menu:hover .user-dropdown{

opacity:1;

visibility:visible;

transform:translateY(0);
}

.overlay-login{

position:fixed;

top:0;
left:0;

width:100%;
height:100%;

background:rgba(0,0,0,.4);

opacity:0;
visibility:hidden;

transition:.3s;

z-index:2000;
}

.overlay-login.show{

opacity:1;
visibility:visible;
}

.painel-login{

position:fixed;

top:0;
right:0;

width:380px;
max-width:90%;

height:100%;

background:white;

transform:translateX(100%);

transition:.3s ease;

z-index:2001;

padding:30px;

box-shadow:
-5px 0 20px rgba(0,0,0,.15);
}

.painel-login.show{

transform:translateX(0);
}

.login-header{

display:flex;

justify-content:space-between;

align-items:center;

margin-bottom:30px;
}

.login-header h2{

font-size:28px;
}

.login-header button{

border:none;

background:none;

font-size:30px;

cursor:pointer;
}

.painel-login form{

display:flex;

flex-direction:column;

gap:15px;
}

.painel-login input{

height:50px;

padding:0 15px;

border:1px solid #ddd;

border-radius:10px;
}

.btn-login{

height:50px;

border:none;

border-radius:10px;

background:#ef4444;

color:white;

font-weight:bold;

cursor:pointer;
}

.btn-cadastro{

height:50px;

border:none;

border-radius:10px;

background:#3466AF;

color:white;

font-weight:bold;

cursor:pointer;
}

.esqueci-senha{

text-align:center;

margin-top:10px;

color:#3466AF;

text-decoration:none;
}

/* TOAST */
.toast{

position:fixed;

top:90px;
right:20px;

padding:15px 25px;

border-radius:12px;

color:white;

font-weight:bold;

z-index:9999;

opacity:0;

transform:translateX(120%);

transition:
opacity .3s ease,
transform .3s ease;

box-shadow:
0 4px 12px rgba(0,0,0,.15);
}

.toast.show{

opacity:1;

transform:translateX(0);
}

.toast.success{

background:#16a34a;
}

.toast.error{

background:#dc2626;
}